You are not logged in.

#1 2013-04-18 18:29:10

Nox997
Member
Registered: 2013-03-31
Posts: 6

lib32-libbsd compile problems... [SOLVED]

Hello!

I'm trying to install lib32-libbsd on my arch x64 system

The compiling stops with the "famous" "C compiler cannot create executables".

What I alredy tried: reinstalling base-devel, looking into config.log, searching the internet. However, I was not able to find a solution.

Here is my config.log:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by libbsd configure 0.4.2, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ ./configure --prefix=/usr --libdir=/usr/lib32

## --------- ##
## Platform. ##
## --------- ##

hostname = isildur
uname -m = x86_64
uname -r = 3.8.7-1-ARCH
uname -s = Linux
uname -v = #1 SMP PREEMPT Sat Apr 13 09:01:47 CEST 2013

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/local/sbin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/bin/vendor_perl
PATH: /usr/bin/core_perl


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2429: checking for a BSD-compatible install
configure:2497: result: /usr/bin/install -c
configure:2508: checking whether build environment is sane
configure:2558: result: yes
configure:2699: checking for a thread-safe mkdir -p
configure:2738: result: /usr/bin/mkdir -p
configure:2751: checking for gawk
configure:2767: found /usr/bin/gawk
configure:2778: result: gawk
configure:2789: checking whether make sets $(MAKE)
configure:2811: result: yes
configure:2903: checking whether make supports nested variables
configure:2920: result: yes
configure:2948: checking for style of include used by make
configure:2976: result: GNU
configure:3047: checking for gcc
configure:3074: result: gcc -m32
configure:3303: checking for C compiler version
configure:3312: gcc -m32 --version >&5
gcc (GCC) 4.8.0 20130411 (prerelease)
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3323: $? = 0
configure:3312: gcc -m32 -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/src/gcc-4.8-20130411/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch --enable-gnu-unique-object --enable-linker-build-id --enable-cloog-backend=isl --disable-cloog-version-check --enable-lto --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold --with-linker-hash-style=gnu --disable-install-libiberty --disable-multilib --disable-libssp --disable-werror --enable-checking=release
Thread model: posix
gcc version 4.8.0 20130411 (prerelease) (GCC) 
configure:3323: $? = 0
configure:3312: gcc -m32 -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:3323: $? = 1
configure:3312: gcc -m32 -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:3323: $? = 1
configure:3343: checking whether the C compiler works
configure:3365: gcc -m32 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-O1,--sort-common,--as-needed,-z,relro conftest.c  >&5
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/libgcc.a when searching for -lgcc
/usr/bin/ld: cannot find -lgcc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /lib/../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libc.a when searching for -lc
/usr/bin/ld: skipping incompatible /lib/../lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /lib/../lib/libc.a when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libc.a when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../libc.a when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.a when searching for -lc
/usr/bin/ld: cannot find -lc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/libgcc.a when searching for -lgcc
/usr/bin/ld: cannot find -lgcc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /lib/../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
collect2: error: ld returned 1 exit status
configure:3369: $? = 1
configure:3407: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "libbsd"
| #define PACKAGE_TARNAME "libbsd"
| #define PACKAGE_VERSION "0.4.2"
| #define PACKAGE_STRING "libbsd 0.4.2"
| #define PACKAGE_BUGREPORT "libbsd@lists.freedesktop.org"
| #define PACKAGE_URL ""
| #define PACKAGE "libbsd"
| #define VERSION "0.4.2"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:3412: error: in `/home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2':
configure:3414: error: C compiler cannot create executables
See `config.log' for more details

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CC_set=set
ac_cv_env_CC_value='gcc -m32'
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value=-D_FORTIFY_SOURCE=2
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=-Wl,-O1,--sort-common,--as-needed,-z,relro
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC='gcc -m32'
ac_cv_prog_make_make_set=yes
am_cv_make_support_nested_variables=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/missing --run aclocal-1.11'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='0'
AM_V='$(V)'
AR=''
AUTOCONF='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/missing --run autoconf'
AUTOHEADER='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/missing --run autoheader'
AUTOMAKE='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/missing --run automake-1.11'
AWK='gawk'
CC='gcc -m32'
CCDEPMODE=''
CFLAGS='-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
CPP=''
CPPFLAGS='-D_FORTIFY_SOURCE=2'
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
DLLTOOL=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
FGREP=''
GREP=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD=''
LDFLAGS='-Wl,-O1,--sort-common,--as-needed,-z,relro'
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIPO=''
LN_S=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/missing --run makeinfo'
MANIFEST_TOOL=''
MKDIR_P='/usr/bin/mkdir -p'
NM=''
NMEDIT=''
OBJDUMP=''
OBJEXT=''
OTOOL64=''
OTOOL=''
PACKAGE='libbsd'
PACKAGE_BUGREPORT='libbsd@lists.freedesktop.org'
PACKAGE_NAME='libbsd'
PACKAGE_STRING='libbsd 0.4.2'
PACKAGE_TARNAME='libbsd'
PACKAGE_URL=''
PACKAGE_VERSION='0.4.2'
PATH_SEPARATOR=':'
RANLIB=''
SED=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='0.4.2'
ac_ct_AR=''
ac_ct_CC='gcc -m32'
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /home/denk/Downloads/lib32-libbsd/src/libbsd-0.4.2/build-aux/install-sh'
libdir='/usr/lib32'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='/usr/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "libbsd"
#define PACKAGE_TARNAME "libbsd"
#define PACKAGE_VERSION "0.4.2"
#define PACKAGE_STRING "libbsd 0.4.2"
#define PACKAGE_BUGREPORT "libbsd@lists.freedesktop.org"
#define PACKAGE_URL ""
#define PACKAGE "libbsd"
#define VERSION "0.4.2"

configure: exit 77

I'd be glad if anyone has any suggestions on what I could do...

Thanks in advance!

Last edited by Nox997 (2013-04-21 18:01:02)

Offline

#2 2013-04-19 13:33:40

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,664

Re: lib32-libbsd compile problems... [SOLVED]

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/libgcc.a when searching for -lgcc

Looks like you're missing multilib pacakges, try installing the 'multilib-devel'  group.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2013-04-21 18:00:35

Nox997
Member
Registered: 2013-03-31
Posts: 6

Re: lib32-libbsd compile problems... [SOLVED]

Thank you so much, that solved the problem!

my AUR helper, aura, was then capable of compiling, but not of installing (wrong system architecture). A manual build using makepkg and pacman -U solved the problem.

Offline

Board footer

Powered by FluxBB